Subject: Re: [PATCH] rebound after draging a window to edges

From: Dominik Vogt <[email-masked]>
Date: Sat, 2 Jan 1999 07:28:52 +0100

On Mon, Dec 21, 1998 at 09:31:56AM +0000, [email-masked] wrote:
> Dominik Vogt wrote:
> > Yes, I see that you 'fixed' that, but my question was why
> > you consider this a bug. I think that was done to prevent
> > exactly what you describe: losing a window off-screen.
> > So the window is bounced back a few pixels.
> 
> I think the issue may be the number of pixel that the window is brought
> back.
> 16 seems like a large number, 1 may be better.  I can't remember if
> there is a similar limit on moving windows off the left or top.
> 
> It is possible to try to move windows completely off screen: either type
> Move +0 +1023 in an FvwmConsole and forget to put the p on the end of
> the number to specify pixels and the window has gone 10 screens away! 
> Sloppy/Click Focus windows can be moved with the mouse outside the
> window frame which lets you put the window off screen.
> 
> It's not difficult to get windows back. You can change the default
> WindowList function to move the window to 0 0, or if you know the name
> you can use FvwmConsole or FvwmCommand or something similar to do a Next
> [<name>] Move 0 0.

Tim, as you know this better than I, could you make the decision
if/how this patch should be committed or if the change you suggested
is more appropriate?

Thanks

Dominik

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Tim Phipps <[email-masked]>
Date: Tue, 05 Jan 1999 10:36:02 +0000

> if/how this patch should be committed or if the change you suggested

I've committed the patch. You could always lose windows off the top and
left, now you can lose them off the right and bottom. It's very easy to
get them back. Focus will move it back to (0,0) so any method of
focusing on the lost window will get it back (unless it's off screen due
to shading, but I think no-one will complain).

Cheers,
Tim.